<template>
	<div class="trend" :class="opacityOnFinish">
		<trend
			:data="results"
			:gradient="['#6fa8dc', '#42b983', '#2c3e50']"
			:padding="chartPadding"
			:min="0"
			:max="100"
			smooth
			auto-draw
		></trend>
		<div class="d-flex justify-content-between labels">
			<span title="Czujny">A</span>
			<span title="Samotniczny">B</span>
			<span title="Nie-zwyczajny">C</span>
			<span title="Awanturniczy">D</span>
			<span title="Zmienny">E</span>
			<span title="Dramatyczny">F</span>
			<span title="Pewny siebie">G</span>
			<span title="Wrażliwy">H</span>
			<span title="Oddany">I</span>
			<span title="Sumienny">J</span>
			<span title="Wygodny">K</span>
			<span title="Władczy">L</span>
			<span title="Ofiarny">M</span>
			<span title="Poważny">N</span>
		</div>
	</div>
</template>

<script>
	import Answer from 'root/clases/Answer.js';

	export default {
		props: ['answers', 'finished'],

		data() {
			return {
				results: []
			}
		},

		computed: {
			chartPadding() {
				return window.innerWidth > 800 ? 1 : 3;
			},

			opacityOnFinish() {
				return this.finished ? 'opacity' : '';
			}
		},

		watch: {
			/** Draws only when there is some positive answer - it looks better */
			answers(answers) {
				for (var i = 0; i < answers.length; i++) {
					if (answers[i]) {
						return this.results = Answer.calcResultsForChart(this.answers);
					}
				}
			}
		}
	}
</script>

<style>
	.opacity {
		opacity: 0.3;
		transition: opacity 2s ease-in-out;
	}
</style>